library verilog;
use verilog.vl_types.all;
entity Sigma_Delta_Modulator is
    port(
        Cubic_Comp      : in     vl_logic_vector(14 downto 0);
        Quadratic_Comp  : in     vl_logic_vector(14 downto 0);
        SD_Mod_Select   : in     vl_logic_vector(1 downto 0);
        RTZ_Mode        : in     vl_logic_vector(1 downto 0);
        clk_div         : in     vl_logic_vector(3 downto 0);
        N_8_i_0         : out    vl_logic_vector(0 downto 0);
        N_16            : out    vl_logic_vector(0 downto 0);
        SD_mod          : out    vl_logic_vector(0 downto 0);
        N_44            : in     vl_logic_vector(11 downto 0);
        un1_rst_1_0     : out    vl_logic;
        rst_1_0         : out    vl_logic;
        Direct_Bitstream: in     vl_logic;
        rst_1           : in     vl_logic;
        Reset           : in     vl_logic;
        un1_rst_1       : in     vl_logic;
        clk             : in     vl_logic;
        GlobalReset     : in     vl_logic;
        GlobalEnable1   : in     vl_logic
    );
end Sigma_Delta_Modulator;
